---
title: list-projects-in-a-microfrontends-group
product: vercel
url: /docs/rest-api/microfrontends/list-projects-in-a-microfrontends-group
canonical_url: "https://vercel.com/docs/rest-api/microfrontends/list-projects-in-a-microfrontends-group"
last_updated: 2026-09-09
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about list-projects-in-a-microfrontends-group on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# List projects in a microfrontends group

```http
GET /v1/microfrontends/groups/{groupId}/projects
```

Get the microfrontends for a given group ID.

## Authentication

**bearerToken**: HTTP bearer

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `groupId` | string | Yes |  |


## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Example request

### TypeScript

```typescript
const response = await fetch('https://api.vercel.com/v1/microfrontends/groups/groupId/projects?teamId=string&slug=string', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Next.js

```typescript
'use server';

export async function callEndpoint() {
  const response = await fetch('https://api.vercel.com/v1/microfrontends/groups/groupId/projects?teamId=string&slug=string', {
    method: 'GET',
    headers: {
      'Authorization': `Bearer ${process.env.VERCEL_ACCESS_TOKEN}`,
      'Content-Type': 'application/json',
    },
    next: { revalidate: 3600 }
  });

  if (!response.ok) {
    throw new Error('Request failed');
  }

  return response.json();
}
```

### cURL

```bash
curl -X GET 'https://api.vercel.com/v1/microfrontends/groups/groupId/projects?teamId=string&slug=string' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Content-Type: application/json'
```

## Example response

```json
{
  "projects": [
    {
      "accountId": "example_id",
      "creator": {
        "type": "user",
        "via": {},
        "user": {}
      },
      "alias": [
        {
          "configuredBy": "A",
          "configuredChangedAt": "123",
          "createdAt": "123",
          "deployment": {},
          "domain": "string",
          "environment": "preview",
          "gitBranch": "string",
          "redirect": "string",
          "redirectStatusCode": "301",
          "target": "PREVIEW"
        }
      ],
      "analytics": {
        "id": "icfg_1234567890",
        "canceledAt": "123",
        "disabledAt": "123",
        "enabledAt": "123",
        "paidAt": "123",
        "sampleRatePercent": "123",
        "spendLimitInDollars": "123"
      },
      "appliedCve55182Migration": "false",
      "speedInsights": {
        "id": "icfg_1234567890",
        "enabledAt": "123",
        "disabledAt": "123",
        "canceledAt": "123",
        "hasData": "false",
        "dataReceivedAt": "123",
        "paidAt": "123"
      },
      "autoExposeSystemEnvs": "false",
      "autoAssignCustomDomains": "false",
      "autoAssignCustomDomainsUpdatedBy": "string",
      "buildCommand": "string",
      "commandForIgnoringBuildStep": "string",
      "connectConfigurations": [
        {
          "envId": "example_id",
          "connectConfigurationId": "example_id",
          "dc": "string",
          "passive": "false",
          "buildsEnabled": "false",
          "aws": {},
          "createdAt": "123",
          "updatedAt": "123"
        }
      ],
      "connectConfigurationId": "example_id",
      "connectBuildsEnabled": "false",
      "passiveConnectConfigurationId": "example_id",
      "createdAt": "123",
      "customerSupportCodeVisibility": "false",
      "crons": {
        "enabledAt": "123",
        "disabledAt": "123",
        "updatedAt": "123",
        "deploymentId": "example_id",
        "definitions": [
          {}
        ]
      },
      "dataCache": {
        "userDisabled": "false",
        "storageSizeBytes": "123",
        "unlimited": "false"
      },
      "deploymentExpiration": {
        "expirationDays": "123",
        "expirationDaysProduction": "123",
        "expirationDaysCanceled": "123",
        "expirationDaysErrored": "123",
        "deploymentsToKeep": "123"
      },
      "expiration": {
        "expiresAt": "123"
      },
      "devCommand": "string",
      "directoryListing": "false",
      "installCommand": "string",
      "env": [
        {
          "target": [],
          "type": "encrypted",
          "sunsetSecretId": "example_id",
          "legacyValue": "string",
          "decrypted": "false",
          "value": "string",
          "vsmValue": "string",
          "id": "icfg_1234567890",
          "key": "string",
          "configurationId": "example_id",
          "createdAt": "123",
          "updatedAt": "123",
          "createdBy": "string",
          "updatedBy": "string",
          "gitBranch": "string",
          "visibility": "config",
          "edgeConfigId": "example_id",
          "edgeConfigTokenId": "example_id",
          "contentHint": {},
          "internalContentHint": {},
          "comment": "string",
          "customEnvironmentIds": []
        }
      ],
      "customEnvironments": [
        {
          "id": "icfg_1234567890",
          "slug": "string",
          "type": "development",
          "description": "string",
          "branchMatcher": {},
          "domains": [
            {}
          ],
          "currentDeploymentAliases": [],
          "createdAt": "123",
          "updatedAt": "123"
        }
      ],
      "framework": "actix-web",
      "services": [
        {
          "serviceName": "Example Name",
          "serviceType": "cron",
          "framework": "actix-web",
          "runtime": "string"
        }
      ],
      "gitForkProtection": "false",
      "gitLFS": "false",
      "id": "icfg_1234567890",
      "ipBuckets": [
        {
          "bucket": "string",
          "default": "false",
          "supportUntil": "123"
        }
      ],
      "jobs": {
        "lint": {},
        "typecheck": {},
        "mfe-config-present": {}
      },
      "latestDeployments": [
        {
          "id": "icfg_1234567890",
          "alias": [],
          "aliasAssigned": "123",
          "aliasError": {},
          "aliasFinal": "string",
          "automaticAliases": [],
          "branchMatcher": {},
          "buildingAt": "123",
          "builds": [
            {}
          ],
          "checksConclusion": "canceled",
          "checksState": "completed",
          "connectBuildsEnabled": "false",
          "connectConfigurationId": "example_id",
          "createdAt": "123",
          "createdIn": "string",
          "creator": {},
          "deletedAt": "123",
          "deploymentHostname": "Example Name",
          "forced": "false",
          "name": "Example Name",
          "meta": "value",
          "monorepoManager": "string",
          "oidcTokenClaims": {},
          "plan": "enterprise",
          "previewCommentsEnabled": "false",
          "private": "false",
          "readyAt": "123",
          "readyState": "BLOCKED",
          "readySubstate": "PROMOTED",
          "requestedAt": "123",
          "target": "string",
          "teamId": "example_id",
          "type": "LAMBDAS",
          "url": "https://example.com",
          "userId": "example_id",
          "withCache": "false"
        }
      ],
      "link": {
        "org": "string",
        "repoOwnerId": "123",
        "repo": "string",
        "repoId": "123",
        "type": "github",
        "createdAt": "123",
        "deployHooks": [
          {}
        ],
        "gitCredentialId": "example_id",
        "updatedAt": "123",
        "sourceless": "false",
        "productionBranch": "string"
      },
      "blobs": {
        "isDefaultApp": "false"
      },
      "microfrontends": {
        "isDefaultApp": "true",
        "updatedAt": "123",
        "groupIds": [],
        "enabled": "true",
        "defaultRoute": "string",
        "freeProjectForLegacyLimits": "false"
      },
      "name": "Example Name",
      "nodeVersion": "10.x",
      "optionsAllowlist": {
        "paths": [
          {}
        ]
      },
      "outputDirectory": "string",
      "passwordProtection": "value",
      "passport": {
        "deploymentType": "all",
        "connectorId": "example_id"
      },
      "protectionConfig": {
        "sandboxUrls": {}
      },
      "sandbox": {
        "region": "arn1",
        "failoverRegions": []
      },
      "productionDeploymentsFastLane": "false",
      "resourceConfig": {
        "fluid": "false",
        "functionDefaultRegions": [],
        "functionDefaultTimeout": "123",
        "functionDefaultMemoryType": "performance",
        "functionZeroConfigFailover": "false",
        "elasticConcurrencyEnabled": "false",
        "buildMachineType": "basic",
        "buildMachineSelection": "elastic",
        "buildMachineElasticLastUpdated": "123",
        "buildMachineElasticReason": "basic-floor",
        "isNSNBDisabled": "false",
        "buildQueue": {},
        "enableFunctionsBeta": "false"
      },
      "rollbackDescription": {
        "userId": "example_id",
        "username": "string",
        "description": "string",
        "createdAt": "123"
      },
      "rollingRelease": {
        "target": "production",
        "stages": [
          {}
        ],
        "canaryResponseHeader": "false",
        "gate": {}
      },
      "defaultResourceConfig": {
        "fluid": "false",
        "functionDefaultRegions": [],
        "functionDefaultTimeout": "123",
        "functionDefaultMemoryType": "performance",
        "functionZeroConfigFailover": "false",
        "elasticConcurrencyEnabled": "false",
        "buildMachineType": "basic",
        "buildMachineSelection": "elastic",
        "buildMachineElasticLastUpdated": "123",
        "buildMachineElasticReason": "basic-floor",
        "isNSNBDisabled": "false",
        "buildQueue": {},
        "enableFunctionsBeta": "false"
      },
      "rootDirectory": "string",
      "serverlessFunctionZeroConfigFailover": "false",
      "skewProtectionBoundaryAt": "123",
      "skewProtectionMaxAge": "123",
      "skewProtectionAllowedDomains": [],
      "skipGitConnectDuringLink": "false",
      "staticIps": {
        "builds": "false",
        "enabled": "false",
        "regions": []
      },
      "sourceFilesOutsideRootDirectory": "false",
      "enableAffectedProjectsDeployments": "false",
      "enableExternalRewriteCaching": "false",
      "ssoProtection": {
        "deploymentType": "all",
        "cve55182MigrationAppliedFrom": "all",
        "april2026SecurityIncidentMigrationAppliedFrom": "all"
      },
      "targets": "value",
      "transferCompletedAt": "123",
      "transferStartedAt": "123",
      "transferToAccountId": "example_id",
      "transferredFromAccountId": "example_id",
      "updatedAt": "123",
      "live": "false",
      "enablePreviewFeedback": "false",
      "enableProductionFeedback": "false",
      "permissions": {
        "aliasProject": [],
        "aliasProtectionBypass": [],
        "bulkRedirects": [],
        "buildMachine": [],
        "connectConfigurationLink": [],
        "dataCacheNamespace": [],
        "deployment": [],
        "deploymentBuildLogs": [],
        "deploymentCheck": [],
        "deploymentCheckPreview": [],
        "deploymentCheckReRunFromProductionBranch": [],
        "deploymentProductionGit": [],
        "deploymentV0": [],
        "deploymentPreview": [],
        "deploymentPrivate": [],
        "deploymentPromote": [],
        "deploymentRollback": [],
        "edgeCacheNamespace": [],
        "environments": [],
        "job": [],
        "logs": [],
        "logsPreset": [],
        "observabilityData": [],
        "onDemandBuild": [],
        "onDemandConcurrency": [],
        "optionsAllowlist": [],
        "passwordProtection": [],
        "privateLinkEndpoint": [],
        "productionAliasProtectionBypass": [],
        "productionShareableLink": [],
        "project": [],
        "projectAccessGroup": [],
        "projectAnalyticsSampling": [],
        "projectAnalyticsUsage": [],
        "projectCheck": [],
        "projectCheckRun": [],
        "projectDeploymentExpiration": [],
        "projectDeploymentHook": [],
        "projectDeploymentProtectionStrict": [],
        "projectDomain": [],
        "projectDomainCheckConfig": [],
        "projectDomainMove": [],
        "projectDomainVerify": [],
        "projectEvent": [],
        "projectEnvVars": [],
        "projectEnvVarsProduction": [],
        "projectEnvVarsUnownedByIntegration": [],
        "projectFlags": [],
        "projectFlagsProduction": [],
        "projectFlagsSdkKey": [],
        "projectFromV0": [],
        "projectId": [],
        "projectIntegrationConfiguration": [],
        "projectLink": [],
        "projectMember": [],
        "projectMonitoring": [],
        "projectOIDCToken": [],
        "projectPermissions": [],
        "projectProductionBranch": [],
        "projectProtectionBypass": [],
        "projectRollingRelease": [],
        "projectRoutes": [],
        "projectSupportCase": [],
        "projectSupportCaseComment": [],
        "projectTier": [],
        "projectTransfer": [],
        "projectTransferOut": [],
        "projectUsage": [],
        "pageIntegrity": [],
        "seawallConfig": [],
        "securityPlusConfiguration": [],
        "shareableLink": [],
        "shareableLinkStrict": [],
        "sharedEnvVarConnection": [],
        "skewProtection": [],
        "analytics": [],
        "trustedIps": [],
        "trustedSources": [],
        "v0Chat": [],
        "vercelAuth": [],
        "vercelRun": [],
        "webAnalytics": [],
        "workflowRunData": [],
        "oauth2Connection": [],
        "user": [],
        "userConnection": [],
        "userMfaConfiguration": [],
        "userPreference": [],
        "userSudo": [],
        "webAuthn": [],
        "accessGroup": [],
        "agent": [],
        "aiGatewayApiKey": [],
        "aiGatewayApiKeyBypassAll": [],
        "aiGatewayApiKeyOwnedBySelf": [],
        "aiGatewayApiKeySpendAttribution": [],
        "aiGatewayApiKeyZdrExemption": [],
        "aiGatewayBudget": [],
        "aiGatewayCredits": [],
        "aiGatewayPrivateModels": [],
        "aiGatewayGuardrails": [],
        "aiGatewayRules": [],
        "aiGatewaySettings": [],
        "aiGatewayTranscripts": [],
        "aiGatewayTranscriptsSettings": [],
        "aiGatewayUsage": [],
        "aiGatewayVirtualModelConfigs": [],
        "alerts": [],
        "alertRules": [],
        "aliasGlobal": [],
        "analyticsSampling": [],
        "analyticsUsage": [],
        "apiKey": [],
        "apiKeyAiGateway": [],
        "apiKeyOwnedBySelf": [],
        "oauth2Application": [],
        "vercelAppInstallation": [],
        "vercelAppInstallationRequest": [],
        "auditLog": [],
        "billingAddress": [],
        "billingInformation": [],
        "billingInvoice": [],
        "billingInvoiceEmailRecipient": [],
        "billingInvoiceLanguage": [],
        "billingPlan": [],
        "billingPurchaseOrder": [],
        "billingRefund": [],
        "billingTaxId": [],
        "blob": [],
        "blobStoreTokenSet": [],
        "budget": [],
        "cacheArtifact": [],
        "cacheArtifactUsageEvent": [],
        "codeChecks": [],
        "codeOwners": [],
        "ciInvocations": [],
        "ciLogs": [],
        "concurrentBuilds": [],
        "connect": [],
        "connectConfiguration": [],
        "connectLogs": [],
        "connexClient": [],
        "connexClientProject": [],
        "connexContact": [],
        "connexInstallation": [],
        "connexToken": [],
        "buildMachineDefault": [],
        "cursorOriginInstallation": [],
        "dataCacheBillingSettings": [],
        "defaultDeploymentProtection": [],
        "deploymentPolicy": [],
        "domain": [],
        "domainAcceptDelegation": [],
        "domainAuthCodes": [],
        "domainCertificate": [],
        "domainCheckConfig": [],
        "domainMove": [],
        "domainPurchase": [],
        "domainRecord": [],
        "domainTransferIn": [],
        "drain": [],
        "edgeConfig": [],
        "edgeConfigItem": [],
        "edgeConfigSchema": [],
        "edgeConfigToken": [],
        "endpointVerification": [],
        "event": [],
        "fileUpload": [],
        "flagsExplorerSubscription": [],
        "gitRepository": [],
        "imageOptimizationNewPrice": [],
        "integration": [],
        "integrationAccount": [],
        "integrationConfiguration": [],
        "integrationConfigurationProjects": [],
        "integrationConfigurationRole": [],
        "integrationConfigurationTransfer": [],
        "integrationDeploymentAction": [],
        "integrationEvent": [],
        "integrationLog": [],
        "integrationResource": [],
        "integrationResourceData": [],
        "integrationResourceReplCommand": [],
        "integrationResourceSecrets": [],
        "integrationSSOSession": [],
        "integrationStrict": [],
        "integrationStoreTokenSet": [],
        "integrationVercelConfigurationOverride": [],
        "integrationPullRequest": [],
        "ipBlocking": [],
        "jobGlobal": [],
        "kmsIssuer": [],
        "kmsProjectGrant": [],
        "logDrain": [],
        "marketplaceBillingData": [],
        "marketplaceExperimentationEdgeConfigData": [],
        "marketplaceExperimentationItem": [],
        "marketplaceFlexCommit": [],
        "marketplaceInstallationMember": [],
        "marketplaceInvoice": [],
        "marketplaceSettings": [],
        "Monitoring": [],
        "monitoringAlert": [],
        "monitoringChart": [],
        "monitoringQuery": [],
        "monitoringSettings": [],
        "notificationCustomerBudget": [],
        "notificationDeploymentFailed": [],
        "notificationDomainConfiguration": [],
        "notificationDomainExpire": [],
        "notificationDomainMoved": [],
        "notificationDomainPurchase": [],
        "notificationDomainRenewal": [],
        "notificationDomainTransfer": [],
        "notificationDomainUnverified": [],
        "NotificationMonitoringAlert": [],
        "notificationPaymentFailed": [],
        "notificationPreferences": [],
        "notificationStatementOfReasons": [],
        "notificationUsageAlert": [],
        "oidcFederationPolicy": [],
        "observabilityConfiguration": [],
        "observabilityFunnel": [],
        "observabilityNotebook": [],
        "openTelemetryEndpoint": [],
        "ownEvent": [],
        "organization": [],
        "organizationDomain": [],
        "organizationTeam": [],
        "passwordProtectionInvoiceItem": [],
        "paymentMethod": [],
        "permissions": [],
        "postgres": [],
        "postgresStoreTokenSet": [],
        "previewDeploymentSuffix": [],
        "privateCloudAccount": [],
        "projectTransferIn": [],
        "projectTransferRequest": [],
        "proTrialOnboarding": [],
        "rateLimit": [],
        "redis": [],
        "redisStoreTokenSet": [],
        "remoteCaching": [],
        "repository": [],
        "samlConfig": [],
        "secret": [],
        "securityConfig": [],
        "sensitiveEnvironmentVariablePolicy": [],
        "sharedEnvVars": [],
        "sharedEnvVarsProduction": [],
        "space": [],
        "spaceRun": [],
        "storeIsLocked": [],
        "storeTokenSetSensitive": [],
        "storeTransfer": [],
        "supportCase": [],
        "supportCaseComment": [],
        "team": [],
        "teamAccessRequest": [],
        "teamFellowMembership": [],
        "teamGitExclusivity": [],
        "teamInvite": [],
        "teamInviteCode": [],
        "teamInviteLink": [],
        "teamJoin": [],
        "teamMemberMfaStatus": [],
        "teamMicrofrontends": [],
        "teamOwnMembership": [],
        "teamOwnMembershipDisconnectSAML": [],
        "teamSudo": [],
        "teamTokenInvalidation": [],
        "token": [],
        "toolbarComment": [],
        "usage": [],
        "usageCycle": [],
        "vcrRepository": [],
        "vpcPeeringConnection": [],
        "webAnalyticsPlan": [],
        "webhook": [],
        "webhook-event": []
      },
      "lastRollbackTarget": "value",
      "lastAliasRequest": {
        "fromDeploymentId": "example_id",
        "toDeploymentId": "example_id",
        "fromRollingReleaseId": "example_id",
        "jobStatus": "failed",
        "requestedAt": "123",
        "type": "promote"
      },
      "protectionBypass": "value",
      "hasActiveBranches": "false",
      "trustedIps": {
        "deploymentType": "all",
        "addresses": [
          {}
        ],
        "protectionMode": "additional"
      },
      "trustedSources": {
        "projects": "value",
        "oidcProviders": "value"
      },
      "gitComments": {
        "onPullRequest": "false",
        "onCommit": "false"
      },
      "gitProviderOptions": {
        "createDeployments": "disabled",
        "disableRepositoryDispatchEvents": "false",
        "requireVerifiedCommits": "false",
        "gitCommitStatus": "false",
        "consolidatedGitCommitStatus": {}
      },
      "paused": "false",
      "concurrencyBucketName": "Example Name",
      "webAnalytics": {
        "id": "icfg_1234567890",
        "disabledAt": "123",
        "canceledAt": "123",
        "enabledAt": "123",
        "hasData": "true"
      },
      "security": {
        "attackModeEnabled": "false",
        "attackModeUpdatedAt": "123",
        "firewallEnabled": "false",
        "firewallUpdatedAt": "123",
        "attackModeActiveUntil": "123",
        "firewallConfigVersion": "123",
        "rulesets": "value",
        "firewallSeawallEnabled": "false",
        "ja3Enabled": "false",
        "ja4Enabled": "false",
        "firewallBypassIps": [],
        "managedRules": {},
        "botIdEnabled": "false",
        "log_headers": [],
        "securityPlus": "false",
        "securityPlusMetadata": {},
        "pageIntegrityEnabled": "false"
      },
      "oidcTokenConfig": {
        "enabled": "false",
        "issuerMode": "global"
      },
      "deploymentPolicy": {
        "gitSources": [
          {}
        ],
        "deploymentSources": [
          {}
        ]
      },
      "tier": "advanced",
      "usageStatus": {
        "kind": "flat",
        "exceededAllowanceUntil": "123",
        "bypassThrottleUntil": "123",
        "throttled": "false",
        "teamThrottled": "false"
      },
      "features": {
        "webAnalytics": "false"
      },
      "v0": "false",
      "v0Created": "false",
      "abuse": {
        "scanner": "string",
        "history": [
          {}
        ],
        "updatedAt": "123",
        "block": {},
        "blockHistory": [
          {}
        ],
        "interstitial": "false",
        "interstitialHistory": [
          {}
        ]
      },
      "internalRoutes": [
        {
          "src": "string",
          "status": "123",
          "expiry": "123"
        }
      ],
      "hasDeployments": "false",
      "dismissedToasts": [
        {
          "key": "string",
          "dismissedAt": "123",
          "action": "accept",
          "value": "string"
        }
      ],
      "protectedSourcemaps": "false",
      "tracing": {
        "domains": "string",
        "ignorePaths": [],
        "samplingRules": [
          {}
        ]
      },
      "avatar": "string"
    }
  ]
}
```

## Responses

### 200: No description

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "projects"
  ],
  "properties": {
    "projects": {
      "type": "array",
      "items": {
        "type": "object",
        "required": [
          "accountId",
          "alias",
          "defaultResourceConfig",
          "deploymentExpiration",
          "directoryListing",
          "id",
          "name",
          "nodeVersion",
          "resourceConfig"
        ],
        "properties": {
          "accountId": {
            "type": "string"
          },
          "creator": {},
          "alias": {
            "type": "array"
          },
          "analytics": {
            "type": "object",
            "required": [
              "disabledAt",
              "enabledAt",
              "id"
            ]
          },
          "appliedCve55182Migration": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          },
          "speedInsights": {
            "type": "object",
            "required": [
              "id"
            ]
          },
          "autoExposeSystemEnvs": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          },
          "autoAssignCustomDomains": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          },
          "autoAssignCustomDomainsUpdatedBy": {
            "type": "string"
          },
          "buildCommand": {
            "type": "string",
            "nullable": true
          },
          "commandForIgnoringBuildStep": {
            "type": "string",
            "nullable": true
          },
          "connectConfigurations": {
            "type": "array",
            "nullable": true
          },
          "connectConfigurationId": {
            "type": "string",
            "nullable": true
          },
          "connectBuildsEnabled": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          },
          "passiveConnectConfigurationId": {
            "type": "string",
            "nullable": true
          },
          "createdAt": {
            "type": "number"
          },
          "customerSupportCodeVisibility": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          },
          "crons": {
            "type": "object",
            "required": [
              "definitions",
              "deploymentId",
              "disabledAt",
              "enabledAt",
              "updatedAt"
            ]
          },
          "dataCache": {
            "type": "object",
            "required": [
              "userDisabled"
            ]
          },
          "deploymentExpiration": {
            "type": "object",
            "description": "Retention policies for deployments. These are enforced at the project level, but we also maintain an instance of this at the team level as a default policy that gets applied to new projects."
          },
          "expiration": {},
          "devCommand": {
            "type": "string",
            "nullable": true
          },
          "directoryListing": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          },
          "installCommand": {
            "type": "string",
            "nullable": true
          },
          "env": {
            "type": "array"
          },
          "customEnvironments": {
            "type": "array"
          },
          "framework": {
            "type": "string",
            "enum": [
              "actix-web",
              "angular",
              "ash",
              "astro",
              "axum",
              "blitzjs",
              "brunch",
              "bun",
              "container",
              "create-react-app",
              "django",
              "docusaurus",
              "docusaurus-2",
              "dojo",
              "eleventy",
              "elysia",
              "ember",
              "eve",
              "express",
              "factory-eve",
              "fastapi",
              "fasthtml",
              "fastify",
              "flask",
              "gatsby",
              "go",
              "gridsome",
              "h3",
              "hexo",
              "hono",
              "hugo",
              "hydrogen",
              "ionic-angular",
              "ionic-react",
              "jekyll",
              "koa",
              "mastra",
              "middleman",
              "nestjs",
              "nextjs",
              "nitro",
              "node",
              "nuxtjs",
              "parcel",
              "polymer",
              "preact",
              "python",
              "react-router",
              "redwoodjs",
              "remix",
              "ruby",
              "rust",
              "saber",
              "sanity",
              "sanity-v2",
              "sapper",
              "scully",
              "services",
              "solidstart",
              "solidstart-1",
              "stencil",
              "storybook",
              "svelte",
              "sveltekit",
              "sveltekit-1",
              "tanstack-start",
              "tanstack-start-lovable",
              "umijs",
              "vite",
              "vitepress",
              "vue",
              "vuepress",
              "xmcp",
              "zola",
              null
            ],
            "nullable": true
          },
          "services": {
            "type": "array"
          },
          "gitForkProtection": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          },
          "gitLFS": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          },
          "id": {
            "type": "string"
          },
          "ipBuckets": {
            "type": "array"
          },
          "jobs": {
            "type": "object"
          },
          "latestDeployments": {
            "type": "array"
          },
          "link": {},
          "blobs": {
            "type": "object"
          },
          "microfrontends": {},
          "name": {
            "type": "string"
          },
          "nodeVersion": {
            "type": "string",
            "enum": [
              "10.x",
              "12.x",
              "14.x",
              "16.x",
              "18.x",
              "20.x",
              "22.x",
              "24.x",
              "8.10.x"
            ]
          },
          "optionsAllowlist": {
            "type": "object",
            "nullable": true,
            "required": [
              "paths"
            ]
          },
          "outputDirectory": {
            "type": "string",
            "nullable": true
          },
          "passwordProtection": {
            "type": "object",
            "nullable": true
          },
          "passport": {
            "type": "object",
            "nullable": true,
            "required": [
              "connectorId",
              "deploymentType"
            ]
          },
          "protectionConfig": {
            "type": "object"
          },
          "sandbox": {
            "type": "object"
          },
          "productionDeploymentsFastLane": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          },
          "resourceConfig": {
            "type": "object",
            "required": [
              "functionDefaultRegions"
            ]
          },
          "rollbackDescription": {
            "type": "object",
            "description": "Description of why a project was rolled back, and by whom. Note that lastAliasRequest contains the from/to details of the rollback.",
            "required": [
              "createdAt",
              "description",
              "userId",
              "username"
            ]
          },
          "rollingRelease": {
            "type": "object",
            "description": "Project-level rolling release configuration that defines how deployments should be gradually rolled out",
            "nullable": true,
            "required": [
              "target"
            ]
          },
          "defaultResourceConfig": {
            "type": "object",
            "required": [
              "functionDefaultRegions"
            ]
          },
          "rootDirectory": {
            "type": "string",
            "nullable": true
          },
          "serverlessFunctionZeroConfigFailover": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          },
          "skewProtectionBoundaryAt": {
            "type": "number"
          },
          "skewProtectionMaxAge": {
            "type": "number"
          },
          "skewProtectionAllowedDomains": {
            "type": "array"
          },
          "skipGitConnectDuringLink": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          },
          "staticIps": {
            "type": "object",
            "required": [
              "builds",
              "enabled",
              "regions"
            ]
          },
          "sourceFilesOutsideRootDirectory": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          },
          "enableAffectedProjectsDeployments": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          },
          "enableExternalRewriteCaching": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          },
          "ssoProtection": {
            "type": "object",
            "nullable": true,
            "required": [
              "deploymentType"
            ]
          },
          "targets": {
            "type": "object"
          },
          "transferCompletedAt": {
            "type": "number"
          },
          "transferStartedAt": {
            "type": "number"
          },
          "transferToAccountId": {
            "type": "string"
          },
          "transferredFromAccountId": {
            "type": "string"
          },
          "updatedAt": {
            "type": "number"
          },
          "live": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          },
          "enablePreviewFeedback": {
            "type": "boolean",
            "enum": [
              false,
              true,
              null
            ],
            "nullable": true
          },
          "enableProductionFeedback": {
            "type": "boolean",
            "enum": [
              false,
              true,
              null
            ],
            "nullable": true
          },
          "permissions": {
            "type": "object"
          },
          "lastRollbackTarget": {
            "type": "object",
            "nullable": true
          },
          "lastAliasRequest": {
            "type": "object",
            "nullable": true,
            "required": [
              "fromDeploymentId",
              "jobStatus",
              "requestedAt",
              "toDeploymentId",
              "type"
            ]
          },
          "protectionBypass": {
            "type": "object"
          },
          "hasActiveBranches": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          },
          "trustedIps": {
            "nullable": true
          },
          "trustedSources": {
            "type": "object",
            "nullable": true
          },
          "gitComments": {
            "type": "object",
            "required": [
              "onCommit",
              "onPullRequest"
            ]
          },
          "gitProviderOptions": {
            "type": "object",
            "required": [
              "createDeployments"
            ]
          },
          "paused": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          },
          "concurrencyBucketName": {
            "type": "string"
          },
          "webAnalytics": {
            "type": "object",
            "required": [
              "id"
            ]
          },
          "security": {
            "type": "object"
          },
          "oidcTokenConfig": {
            "type": "object"
          },
          "deploymentPolicy": {
            "type": "object",
            "description": "Project shape. `null` on a rule list clears the project's override for that rule type (fall back to team for every env); omitting is equivalent. Setting `deploymentPolicy` itself to `null` clears every override at once. Kept structurally distinct from {@link TeamDeploymentPolicy} so the two storage locations don't share a type by accident.",
            "nullable": true
          },
          "tier": {
            "type": "string",
            "enum": [
              "advanced",
              "critical"
            ]
          },
          "usageStatus": {
            "type": "object",
            "required": [
              "kind"
            ]
          },
          "features": {
            "type": "object"
          },
          "v0": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          },
          "v0Created": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          },
          "abuse": {
            "type": "object",
            "required": [
              "history",
              "updatedAt"
            ]
          },
          "internalRoutes": {
            "type": "array"
          },
          "hasDeployments": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          },
          "dismissedToasts": {
            "type": "array"
          },
          "protectedSourcemaps": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          },
          "tracing": {
            "type": "object"
          },
          "avatar": {
            "type": "string",
            "nullable": true
          }
        }
      }
    }
  }
}
```

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

### 410: No description

---

## Related

- [microfrontends endpoints](/docs/rest-api#microfrontends)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://openapi.vercel.sh/) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
